Bug 988123 - ovirt-host-deploy fails because yum api is enabled
ovirt-host-deploy fails because yum api is enabled
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: Mike Burns
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 15:14 EDT by Mike Burns
Modified: 2013-11-27 04:57 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 04:57:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
deploy log (53.09 KB, text/plain)
2013-07-24 15:14 EDT, Mike Burns
no flags Details
log2 (185.94 KB, text/plain)
2013-07-25 08:06 EDT, Mike Burns
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17293 None None None Never

  None (edit)
Description Mike Burns 2013-07-24 15:14:17 EDT
Created attachment 777927 [details]
deploy log

Description of problem:
add host fails on ovirt-node with the following error:

Traceback (most recent call last):
  File "/tmp/ovirt-y11bhKvuuF/pythonlib/otopi/context.py", line 122, in _executeMethod
    method['method']()
  File "/tmp/ovirt-y11bhKvuuF/otopi-plugins/otopi/packagers/yumpackager.py", line 203, in _setup
    with self._miniyum.transaction():
  File "/tmp/ovirt-y11bhKvuuF/pythonlib/otopi/miniyum.py", line 326, in __enter__
    self._managed.beginTransaction()
  File "/tmp/ovirt-y11bhKvuuF/pythonlib/otopi/miniyum.py", line 628, in beginTransaction
    self._transactionBase = self._yb.history.last()
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 1257, in last
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 1176, in old
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 725, in _get_cursor
AttributeError: YumHistory instance has no attribute '_db_file'


Version-Release number of selected component (if applicable):
ovirt-node-3.0.0-5
otopi-1.1.0-0.1.beta.el6.noarch
ovirt-node-iso-3.0.0-5.1.3.vdsm.el6.iso

How reproducible:
Always

Steps to Reproduce:
1.install ovirt-node
2.set root password and enable ssh password auth
3.add host from ovirt-engine

Actual results:
failure

Expected results:
installs correctly

Additional info:
There are some unrelated bugs with the version of ovirt-node-iso used related to setting the root password and enabling ssh password authentication.  They can be worked around by doing the following:


drop a shell (F2) and run /usr/libexec/ovirt-config-password
Run the following commands and follow prompts:
set_ssh_password_authentication
set_root_password
Comment 1 Alon Bar-Lev 2013-07-24 15:43:21 EDT
Hi,

This is a new behavior of yum at ovirt-node, I will need to work this out somehow....

Thanks!
Comment 2 Mike Burns 2013-07-24 16:01:02 EDT
(In reply to Alon Bar-Lev from comment #1)
> Hi,
> 
> This is a new behavior of yum at ovirt-node, I will need to work this out
> somehow....
> 
> Thanks!

Why do you need to do anything with yum?  you can't run yum on a live ovirt-node.
Comment 3 Alon Bar-Lev 2013-07-24 18:18:34 EDT
Mike,

Can we install ovirt-host-deploy-offline package on the node? This will probably solve this issue properly.

Thanks,
Comment 4 Mike Burns 2013-07-24 19:25:32 EDT
posted patch to gerrit to change the dependency of ovirt-node-plugin-vdsm to ovirt-host-deploy-offline instead of ovirt-host-deploy
Comment 5 Mike Burns 2013-07-25 08:06:56 EDT
Created attachment 778241 [details]
log2

the patch to vdsm-plugin fixed the initial issue, but an issue comes up further in the process.
Comment 6 Alon Bar-Lev 2013-07-25 08:09:55 EDT
(In reply to Mike Burns from comment #5)
> Created attachment 778241 [details]
> log2
> 
> the patch to vdsm-plugin fixed the initial issue, but an issue comes up
> further in the process.

which issue? I see success:

***D:VALUE BASE/error=bool:False
Comment 7 Mike Burns 2013-07-25 08:21:25 EDT
I think it was setupNetworks, but I need to reproduce (my environment is remote and currently inaccessible)
Comment 8 Mike Burns 2013-07-25 09:20:40 EDT
I'll file a separate bug for the setupnetworks issue
Comment 9 Sandro Bonazzola 2013-11-27 04:57:46 EST
A new node iso has been released with oVirt 3.3.1, closing.

Note You need to log in before you can comment on or make changes to this bug.